Bug 147115 - [NEW PORT] mail/scam-backscatter: Address verification milter to prevent spam backscatter
Summary: [NEW PORT] mail/scam-backscatter: Address verification milter to prevent spam...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-27 05:50 UTC by Janne Snabb
Modified: 2010-08-26 16:00 UTC (History)
0 users

See Also:


Attachments
scam-backscatter-1.5.1.shar (8.20 KB, text/plain)
2010-05-27 05:50 UTC, Janne Snabb
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Janne Snabb 2010-05-27 05:50:08 UTC
scam-backscatter milter

Scam-backscatter prevents backscatter (accept and bounce) on mail servers
which don't host mailboxes locally. It validates mailboxes by verifying the
recipient addresses hosted on a different mail server.

WWW:	http://www.elandsys.com/scam/scam-backscatter/

Generated with FreeBSD Port Tools 0.99

This port requires new UID and GID as follows:
--- UIDs.orig	2010-05-13 04:32:56.000000000 +0000
+++ UIDs	2010-05-27 03:12:15.000000000 +0000
@@ -142,6 +142,7 @@
 polkit:*:562:562::0:0:PolicyKit User:/nonexistent:/usr/sbin/nologin
 pulse:*:563:563::0:0:PulseAudio System User:/nonexistent:/usr/sbin/nologin
 _xsi:*:600:600::0:0:XMLSysInfo User:/nonexistent:/usr/sbin/nologin
+scamback:*:625:625::0:0:scam-backscatter milter:/nonexistent:/usr/sbin/nologin
 _pla:*:636:80::0:0:phpLDAPAdmin Owner:/nonexistent:/usr/sbin/nologin
 bnetd:*:700:700::0:0:Bnetd user:/nonexistent:/usr/sbin/nologin
 bopm:*:717:717::0:0:Blitzed Open Proxy Monitor:/nonexistent:/bin/sh
--- GIDs.orig	2010-05-05 02:21:58.000000000 +0000
+++ GIDs	2010-05-27 03:12:37.000000000 +0000
@@ -133,6 +133,7 @@
 pulse:*:563:
 pulse-access:*:564:
 _xsi:*:600:
+scamback:*:625:
 bnetd:*:700:
 bopm:*:717:
 openxpki:*:777:
Comment 1 Janne Snabb 2010-05-29 03:02:10 UTC
Hi,

My apologies, but there is a cut'n'paste goof-up in pkg-message.in.
Please apply the following patch before commiting. I am thinking
it is better to just send a patch instead of sending the whole
sharball again...

Best Regards,
--
Janne Snabb / EPIPE Communications
snabb@epipe.com - http://epipe.com/

--- files/pkg-message.in.orig	2010-05-26 13:14:12.000000000 +0000
+++ files/pkg-message.in	2010-05-29 01:55:22.000000000 +0000
@@ -6,7 +6,7 @@

      Add following lines to your /etc/mail/<your_host>.mc configuration.

-    define(`confMILTER_MACROS_ENVRCPT', confMILTER_MACROS_ENVRCPT``{rcpt_mailer}, {rcpt_host}, {rcpt_addr}'')dnl
+    define(`confMILTER_MACROS_ENVRCPT', `{rcpt_mailer}, {rcpt_host}, {rcpt_addr}')dnl
      INPUT_MAIL_FILTER(`scam-back', `S=unix:/var/scam-back/scam-back.sock, F=T, T=S:240s;R:240s;E:5m')dnl

      To run scam-backscatter from startup, add scambackscatter_enable="YES"
Comment 2 Janne Snabb 2010-06-18 10:19:16 UTC
Hi,

After seeing that this port was not committed quickly, I thought I
would review it again and make it better. I did find some things
to improve.

New UIDs and GIDs are no longer needed! (The port uses mailnull
user instead.)

Please fetch the updated port tarball from:

http://dist.epipe.com/tmp/scam-backscatter-1.5.1-freebsd-port.tar.gz

...and ignore any previous shar arhives or patches in this PR.

The following is a summary of the improvements:
  - use mailnull user and group instead of port-specific user
  - merged two REINPLACE_CMDs into one in Makefile
  - improved documentation in pkg-message.in
  - other minor documentation and comment improvements

Please inform me if there are any other ways this port should be
improved before getting committed. I find this very useful piece
of software and would like to see it in the ports tree.

The startup script includes a kludge to enable writing the pid file
in /var/run. This is because the software writes its pid file after
dropping root privileges (which is IMHO not the right way, but it
should be fixed at upstream).

The patches included in the files-subdirectory have been sent to
upstream maintainer (Eland Systems) and should be included in the
next official release.

Kind Regards,
--
Janne Snabb / EPIPE Communications
snabb@epipe.com - http://epipe.com/
Comment 3 Pav Lucistnik freebsd_committer 2010-08-26 15:51:13 UTC
State Changed
From-To: open->closed

New port added, thank you!
Comment 4 dfilter service freebsd_committer 2010-08-26 15:57:27 UTC
pav         2010-08-26 14:57:15 UTC

  FreeBSD ports repository

  Modified files:
    mail                 Makefile 
  Added files:
    mail/scam-backscatter Makefile distinfo pkg-descr pkg-plist 
    mail/scam-backscatter/files patch-scam-back.c patch-scam.conf 
                                pkg-message.in scam-backscatter.in 
  Log:
  scam-backscatter milter
  
  Scam-backscatter prevents spam backscatter (accept and bounce) on
  mail servers which don't host mailboxes locally. It validates
  mailboxes by verifying the recipient addresses hosted on a different
  mail server.
  
  WWW:    http://www.elandsys.com/scam/scam-backscatter/
  
  PR:             ports/147115
  Submitted by:   Janne Snabb <snabb@epipe.com>
  
  Revision  Changes    Path
  1.1030    +1 -0      ports/mail/Makefile
  1.1       +72 -0     ports/mail/scam-backscatter/Makefile (new)
  1.1       +3 -0      ports/mail/scam-backscatter/distinfo (new)
  1.1       +20 -0     ports/mail/scam-backscatter/files/patch-scam-back.c (new)
  1.1       +17 -0     ports/mail/scam-backscatter/files/patch-scam.conf (new)
  1.1       +21 -0     ports/mail/scam-backscatter/files/pkg-message.in (new)
  1.1       +56 -0     ports/mail/scam-backscatter/files/scam-backscatter.in (new)
  1.1       +8 -0      ports/mail/scam-backscatter/pkg-descr (new)
  1.1       +8 -0      ports/mail/scam-backscatter/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"